#pragma once

#include "character/states/CharacterStateBase.h"

namespace frostbite2D {

class HurtState : public CharacterStateBase {
public:
  HurtState();

  void OnEnter(CharacterStateMachine& machine,
               CharacterStateContext& context,
               CharacterStateId previousState) override;
  void OnUpdate(CharacterStateMachine& machine,
                CharacterStateContext& context) override;
  void OnExit(CharacterStateMachine& machine,
              CharacterStateContext& context,
              CharacterStateId nextState) override;
};

} // namespace frostbite2D
